Bug 1505639 - Failed to register to sat6.3-snap21 by username and password
Summary: Failed to register to sat6.3-snap21 by username and password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
urgent vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: jcallaha
URL:
Whiteboard:
: 1506841 (view as bug list)
Depends On:
Blocks: 1470765 1480356
TreeView+ depends on / blocked
 
Reported: 2017-10-24 03:29 UTC by Eko
Modified: 2019-08-12 14:06 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21438 0 None None None 2017-10-24 12:50:47 UTC
Github Katello katello pull 7026 0 None None None 2017-10-26 17:36:14 UTC

Description Eko 2017-10-24 03:29:23 UTC
Failed to register a host to snap21 by username and password, but can be register by activation key.

# subscription-manager  register
Registering to: bootp-73-131-133.rhts.eng.pek2.redhat.com:443/rhsm
Username: admin
Password:
Remote server error. Please check the connection details, or see /var/log/rhsm/rhsm.log for more information.


# tail -f /var/log/rhsm/rhsm.log
2017-10-23 04:57:26,587 [INFO] subscription-manager:8215:MainThread @managercli.py:407 - Client Versions: {'python-rhsm': '1.19.9-1.el7', 'subscription-manager': '1.19.21-1.el7'}
2017-10-23 04:57:26,588 [INFO] subscription-manager:8215:MainThread @connection.py:822 - Connection built: host=bootp-73-131-133.rhts.eng.pek2.redhat.com port=443 handler=/rhsm auth=identity_cert ca_dir=/etc/rhsm/ca/ insecure=False
2017-10-23 04:57:26,588 [INFO] subscription-manager:8215:MainThread @connection.py:822 - Connection built: host=bootp-73-131-133.rhts.eng.pek2.redhat.com port=443 handler=/rhsm auth=none
2017-10-23 04:57:26,589 [INFO] subscription-manager:8215:MainThread @managercli.py:407 - Client Versions: {'python-rhsm': '1.19.9-1.el7', 'subscription-manager': '1.19.21-1.el7'}
2017-10-23 04:57:26,589 [INFO] subscription-manager:8215:MainThread @managercli.py:382 - Consumer Identity name=None uuid=None
2017-10-23 04:57:26,590 [INFO] subscription-manager:8215:MainThread @managercli.py:382 - Consumer Identity name=None uuid=None
2017-10-23 04:57:28,548 [INFO] subscription-manager:8215:MainThread @connection.py:822 - Connection built: host=bootp-73-131-133.rhts.eng.pek2.redhat.com port=443 handler=/rhsm auth=basic username=admin
2017-10-23 04:57:28,568 [INFO] subscription-manager:8215:MainThread @dmiinfo.py:73 - Using dmidecode dump file: /dev/mem
2017-10-23 04:57:28,618 [INFO] subscription-manager:8215:MainThread @custom.py:85 - Loading custom facts from: /etc/rhsm/facts/katello.facts
2017-10-23 04:57:28,662 [INFO] subscription-manager:8215:MainThread @connection.py:552 - Response: status=200, request="GET /rhsm/users/admin/owners"
2017-10-23 04:57:28,703 [INFO] subscription-manager:8215:MainThread @connection.py:552 - Response: status=200, request="GET /rhsm/"
2017-10-23 04:57:28,747 [INFO] subscription-manager:8215:MainThread @connection.py:552 - Response: status=404, request="GET /rhsm/owners/Default_Organization/environments"
2017-10-23 04:57:28,747 [ERROR] subscription-manager:8215:MainThread @connection.py:577 - Response: 404
2017-10-23 04:57:28,747 [ERROR] subscription-manager:8215:MainThread @connection.py:578 - JSON parsing error: Expecting ':' delimiter: line 1 column 11 (char 10)
2017-10-23 04:57:28,747 [ERROR] subscription-manager:8215:MainThread @managercli.py:177 - Error during registration: Server error attempting a GET to /rhsm/owners/Default_Organization/environments returned status 404
2017-10-23 04:57:28,747 [ERROR] subscription-manager:8215:MainThread @managercli.py:178 - Server error attempting a GET to /rhsm/owners/Default_Organization/environments returned status 404
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/subscription_manager/managercli.py", line 1187, in _do_command
    self.options.environment)
  File "/usr/lib/python2.7/site-packages/subscription_manager/managercli.py", line 1297, in _get_environment_id
    env_list = cp.getEnvironmentList(owner_key)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 1324, in getEnvironmentList
    results = self.conn.request_get(method)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 646, in request_get
    return self._request("GET", method, headers=headers)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 672, in _request
    info=info, headers=headers)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 561, in _request
    self.validateResponse(result, request_type, handler)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 616, in validateResponse
    handler=handler)
RemoteServerException: Server error attempting a GET to /rhsm/owners/Default_Organization/environments returned status 404

Comment 2 Marek Hulan 2017-10-26 17:36:15 UTC
upstream PR merged

Comment 3 Marek Hulan 2017-10-27 07:16:31 UTC
*** Bug 1506841 has been marked as a duplicate of this bug. ***

Comment 4 Eko 2017-10-30 07:48:38 UTC
verified in snap22, can be registered by username and password normally.

# subscription-manager register
Registering to: bootp-73-131-133.rhts.eng.pek2.redhat.com:443/rhsm
Username: admin
Password: 
The system has been registered with ID: 78dca4e4-546b-48f5-8918-7b0d864ff326

Comment 5 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.